An error was encountered while running DADA2 in R (return code 1) for single End sequences

This is the error we are facing while running the Qiime2DADA2.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-ybfxiw1j.log

--- Opened " /tmp/qiime2-q2cli-err-ybfxiw1j.log " . You can see the details below about this file.
Running external command line application(s). This may print messages to stdout and/or stderr.

The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-n59gi_26/95ab340c-6101-4cf8-8050-b2353a4dab10/data /tmp/tmpgpj3oiph/output.tsv.biom /tmp/tmpgpj3oiph/track.tsv /tmp/tmpgpj3oiph 300 0 2.0 2 Inf independent consensus 1.0 1 1000000 NULL 16

WARNING: ignoring environment value of R_HOME

R version 4.0.3 (2020-10-10)

Loading required package: Rcpp

DADA2: 1.18.0 / Rcpp: 1.0.6 / RcppParallel: 5.1.2

  1. Filtering The filter removed all reads: /tmp/tmpgpj3oiph/Sample1_0_L001_R1_001.fastq.gz not written.

The filter removed all reads: /tmp/tmpgpj3oiph/Sample11_10_L001_R1_001.fastq.gz not written.

The filter removed all reads: /tmp/tmpgpj3oiph/Sample12_11_L001_R1_001.fastq.gz not written.

The filter removed all reads: /tmp/tmpgpj3oiph/Sample2_1_L001_R1_001.fastq.gz not written.

The filter removed all reads: /tmp/tmpgpj3oiph/Sample5_4_L001_R1_001.fastq.gz not written.

The filter removed all reads: /tmp/tmpgpj3oiph/Sample8_7_L001_R1_001.fastq.gz not written.

The filter removed all reads: /tmp/tmpgpj3oiph/Sample9_8_L001_R1_001.fastq.gz not written.

Some input samples had no reads pass the filter.

x.xx.......x........x..xx

  1. Learning Error Rates

311542800 total bases in 1038476 reads from 9 samples will be used for learning the error rates.

Error rates could not be estimated (this is usually because of very few reads).

Error in getErrors(err, enforce = TRUE) : Error matrix is NULL.

Execution halted

Traceback (most recent call last):

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 182, in _denoise_single

run_commands([cmd])

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands

subprocess.run(cmd, check=True)

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/subprocess.py", line 516, in run

raise CalledProcessError(retcode, process.args,

subprocess.CalledProcessError: Command '['run_dada_single.R', '/tmp/qiime2-archive-n59gi_26/95ab340c-6101-4cf8-8050-b2353a4dab10/data', '/tmp/tmpgpj3oiph/output.tsv.biom', '/tmp/tmpgpj3oiph/track.tsv', '/tmp/tmpgpj3oiph', '300', '0', '2.0', '2', 'Inf', 'independent', 'consensus', '1.0', '1', '1000000', 'NULL', '16']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py", line 329, in call

results = action(**arguments)

File "", line 2, in denoise_single

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 244, in bound_callable

outputs = self.callable_executor(scope, callable_args,

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 390, in callable_executor

output_views = self._callable(**view_args)

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 205, in denoise_single

return _denoise_single(

File "/lclhome/tcickovs/anaconda/anaconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 191, in _denoise_single

raise Exception("An error was encountered while running DADA2"

Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Please find the attached screenshot for the input reads that are used.

Hi @Aparna_Virupakshi,

Welcome to the :qiime2: forum!

Thanks for including the full error log! Here is where the issue is coming from:

311542800 total bases in 1038476 reads from 9 samples will be used for learning the error rates.
Error rates could not be estimated (this is usually because of very few reads).
Error in getErrors(err, enforce = TRUE) : Error matrix is NULL.

Can you please share your demux file, along with your input command? This will give us a better idea of whether there is an issue with your demux file, or if you are filtering too aggressively for dada2 to estimate errors. Thanks!

1 Like